Subject: Re: bug#51336: 29.0.50; Application not responding

From: Alan Third <[email-masked]>
Date: Fri, 12 Jan 2024 18:31:53 +0000

On Fri, Jan 12, 2024 at 08:14:18PM +0200, Eli Zaretskii wrote:
> > Date: Fri, 12 Jan 2024 17:22:54 +0000
> > From: Alan Third <[email-masked]>
> > Cc: Eli Zaretskii <[email-masked]>, [email-masked],
> > 	[email-masked]
> > 
> > > * thread #1, queue = 'com.apple.main-thread', stop reason = signal SIGSTOP
> > >   * frame #0: 0x00007ff80d07596a libsystem_kernel.dylib`mach_msg_trap + 10
> > >     frame #1: 0x00007ff80d075cd8 libsystem_kernel.dylib`mach_msg + 56
> > >     frame #2: 0x00007ff80d17929d CoreFoundation`__CFRunLoopServiceMachPort + 319
> > >     frame #3: 0x00007ff80d177928 CoreFoundation`__CFRunLoopRun + 1276
> > >     frame #4: 0x00007ff80d176d6c CoreFoundation`CFRunLoopRunSpecific + 562
> > >     frame #5: 0x00007ff815e245e6 HIToolbox`RunCurrentEventLoopInMode + 292
> > >     frame #6: 0x00007ff815e2434a HIToolbox`ReceiveNextEventCommon + 594
> > >     frame #7: 0x00007ff815e240e5 HIToolbox`_BlockUntilNextEventMatchingListInModeWithFilter + 70
> > >     frame #8: 0x00007ff80fbb1f6d AppKit`_DPSNextEvent + 927
> > >     frame #9: 0x00007ff80fbb062a AppKit`-[NSApplication(NSEvent) _nextEventMatchingEventMask:untilDate:inMode:dequeue:] + 1394
> > >     frame #10: 0x00007ff80fba2cd9 AppKit`-[NSApplication run] + 586
> > >     frame #11: 0x0000000104b2449c Emacs`-[EmacsApp run] + 317
> > 
> > OK, I think this is the same as bug#67694, so I'll merge them.
> > 
> > I think we need to revert 6acb3c5b05a7b9fb32a5336e1bb740f527571ae9 as
> > discussed in that other bug report and re-open bug#65843, if we can.
> 
> I'm confused: 6acb3c5b05a was installed on master, not on the
> emacs-29 branch.  AFAICT, Emacs 29 still has the code which that
> commit removed.  And yet the bug report is for Emacs 29(?).  Am I
> missing something?

Kirill specified commit d9462e24a967e32d550ee886b5150f0cc78358f6 which
is, I think, in the master branch.

TBH, I'm not sure what's going on with this bug report, but I'm sure
the current hang is the same as the hang in the other bug report.
Unless I've misunderstood.
-- 
Alan Third